import java.io.*;
import javax.swing.JOptionPane;

public class BezpecnaPraceSeSouborem {
  @SuppressWarnings("finally")
  public static String prectiObsahSouboru(String jmenoSouboru) {
    String obsahSouboru = "";
    BufferedReader bfr = null;
    try {
      bfr = new BufferedReader(
          new FileReader(
              new File(jmenoSouboru)));
      String radka = null;
      while ((radka = bfr.readLine()) != null) {
        obsahSouboru += radka;
      }
    }
    catch (IOException e) {
      // chybov oknko
      JOptionPane.showMessageDialog(
          null,
          e.getLocalizedMessage(),
          "Chyba pi prci se souborem",
          JOptionPane.ERROR_MESSAGE);
    }
    finally {
      if (bfr != null) {
        // uzavrn souboru, pokud byl pedtm oteven
        try {
          bfr.close();
        }
        catch (IOException ex) {
          throw new RuntimeException(ex);
        }
      }
      if (obsahSouboru.length() == 0) {
        // ukonen programu pokud nebyla natena dn data
        System.exit(1);
      }
      return obsahSouboru;
    }
  }
  
  public static final void main(String[] args) {
    String text;
    text = prectiObsahSouboru("data.txt");
    System.out.println(text);
    text = prectiObsahSouboru("blbost.txt");
    System.out.println(text);
  }
}
